Bug 268583 - Exception when setting up host: "Potentially long method ... is invoked in AWT thread"
Exception when setting up host: "Potentially long method ... is invoked in AW...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.1
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-19 10:14 UTC by Vladimir Kvashin
Modified: 2016-12-09 12:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-10-19 10:14:04 UTC
I set up a host, then switched OFF automatic tools detection (in the process of setup) and got an exception:

java.lang.Exception: Potentially long method org.netbeans.modules.nativeexecution.signals.impl.NbKillAllSignalSupport.getPath() is invoked in AWT thread
        at org.netbeans.modules.nativeexecution.support.Logger.assertNonUiThread(Logger.java:112)
        at org.netbeans.modules.nativeexecution.api.util.HelperUtility.getPath(HelperUtility.java:158)
        at org.netbeans.modules.nativeexecution.signals.impl.NbKillAllSignalSupport.isSupported(NbKillAllSignalSupport.java:77)
        at org.netbeans.modules.nativeexecution.signals.SignalSupport.signalProcessesByEnv(SignalSupport.java:108)
        at org.netbeans.modules.nativeexecution.NbNativeProcess.destroyImpl(NbNativeProcess.java:255)
        at org.netbeans.modules.nativeexecution.AbstractNativeProcess.destroy(AbstractNativeProcess.java:321)
        at org.netbeans.modules.cnd.remote.compilers.CompilerSetScriptManager.cancel(CompilerSetScriptManager.java:84)
        at org.netbeans.modules.cnd.remote.compilers.RemoteCompilerSetProvider.cancel(RemoteCompilerSetProvider.java:90)
        at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.cancel(CompilerSetManagerImpl.java:252)
        at org.netbeans.modules.cnd.spi.remote.setup.HostValidatorImpl.cancelToolSearch(HostValidatorImpl.java:94)
        at org.netbeans.modules.cnd.remote.ui.wizard.CreateHostVisualPanel2.cbFindCompilersActionPerformed(CreateHostVisualPanel2.java:266)
        at org.netbeans.modules.cnd.remote.ui.wizard.CreateHostVisualPanel2.access$200(CreateHostVisualPanel2.java:72)
        at org.netbeans.modules.cnd.remote.ui.wizard.CreateHostVisualPanel2$2.actionPerformed(CreateHostVisualPanel2.java:179)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2022)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2348)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
        at javax.swing.JToggleButton$ToggleButtonModel.setPressed(JToggleButton.java:308)
        at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
        at java.awt.Component.processMouseEvent(Component.java:6535)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3324)
        at java.awt.Component.processEvent(Component.java:6300)
        at java.awt.Container.processEvent(Container.java:2236)
        at java.awt.Component.dispatchEventImpl(Component.java:4891)
        at java.awt.Container.dispatchEventImpl(Container.java:2294)
        at java.awt.Component.dispatchEvent(Component.java:4713)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4888)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4525)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4466)
        at java.awt.Container.dispatchEventImpl(Container.java:2280)
        at java.awt.Window.dispatchEventImpl(Window.java:2750)
        at java.awt.Component.dispatchEvent(Component.java:4713)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:709)
        at java.awt.EventQueue$3.run(EventQueue.java:703)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
        at java.awt.EventQueue$4.run(EventQueue.java:731)
        at java.awt.EventQueue$4.run(EventQueue.java:729)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:159)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
        at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:184)
        at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:229)
        at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:227)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:227)
        at java.awt.Dialog.show(Dialog.java:1084)
        at org.netbeans.core.windows.services.NbPresenter.superShow(NbPresenter.java:1086)
        at org.netbeans.core.windows.services.NbPresenter.doShow(NbPresenter.java:1136)
        at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:1108)
        at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:131)
        at org.netbeans.modules.openide.util.NbMutexEventProvider$Event$1AWTWorker.run(NbMutexEventProvider.java:156)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:709)
        at java.awt.EventQueue$3.run(EventQueue.java:703)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:159)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
Comment 1 Vladimir Kvashin 2016-10-19 10:45:15 UTC
fixed, change set 41f6a96231fa on enum
Comment 2 Quality Engineering 2016-10-22 02:16:44 UTC
Integrated into 'main-silver', will be available in build *201610220002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f38ee0f46972
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #268583 - Exception when setting up host: "Potentially long method ... is invoked in AWT thread"
(transplanted from 41f6a96231fa7963a2a56058fd246cb736bc7b8b)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo